org.opencv.text

## Class OCRHMMDecoder

- java.lang.Object
- - org.opencv.text.BaseOCR
  - - org.opencv.text.OCRHMMDecoder

-     public class OCRHMMDecoder
      extends BaseOCR

- - ### Field Summary

    - ### Fields inherited from class org.opencv.text.BaseOCR

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OCRHMMDecoder(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCRHMMDecoder` | `__fromPtr__(long addr)`
    `static OCRHMMDecoder` | `create(java.lang.String filename, java.lang.String vocabulary, Mat transition_probabilities_table, Mat emission_probabilities_table)`
    `static OCRHMMDecoder` | `create(java.lang.String filename, java.lang.String vocabulary, Mat transition_probabilities_table, Mat emission_probabilities_table, int mode, int classifier)`
    `protected void` | `finalize()`
    `java.lang.String` | `run(Mat image, int min_confidence)`
    `java.lang.String` | `run(Mat image, int min_confidence, int component_level)`
    `java.lang.String` | `run(Mat image, Mat mask, int min_confidence)`
    `java.lang.String` | `run(Mat image, Mat mask, int min_confidence, int component_level)`

    - ### Methods inherited from class org.opencv.text.BaseOCR

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCRHMMDecoder

          protected OCRHMMDecoder(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static OCRHMMDecoder __fromPtr__(long addr)

    - #### create

          public static OCRHMMDecoder create(java.lang.String filename,
                                             java.lang.String vocabulary,
                                             Mat transition_probabilities_table,
                                             Mat emission_probabilities_table,
                                             int mode,
                                             int classifier)

    - #### create

          public static OCRHMMDecoder create(java.lang.String filename,
                                             java.lang.String vocabulary,
                                             Mat transition_probabilities_table,
                                             Mat emission_probabilities_table)

    - #### run

          public java.lang.String run(Mat image,
                                      Mat mask,
                                      int min_confidence,
                                      int component_level)

    - #### run

          public java.lang.String run(Mat image,
                                      Mat mask,
                                      int min_confidence)

    - #### run

          public java.lang.String run(Mat image,
                                      int min_confidence,
                                      int component_level)

    - #### run

          public java.lang.String run(Mat image,
                                      int min_confidence)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BaseOCR`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1